This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 964969 - (CVE-2013-2110) CVE-2013-2110 php: Heap-based buffer overflow in quoted_printable_encode()
CVE-2013-2110 php: Heap-based buffer overflow in quoted_printable_encode()
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
urgent Severity urgent
: ---
: ---
Assigned To: Red Hat Product Security
impact=critical,public=20130606,repor...
: Security
Depends On:
Blocks: 964972
  Show dependency treegraph
 
Reported: 2013-05-20 04:27 EDT by Huzaifa S. Sidhpurwala
Modified: 2016-03-04 07:13 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-06 23:41:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Huzaifa S. Sidhpurwala 2013-05-20 04:27:51 EDT
A Heap-based buffer overflow flaw was found in the php quoted_printable_encode() function. A remote attacker could use this flaw to cause php to crash or execute arbirary code with the permission of the user running php
Comment 2 Huzaifa S. Sidhpurwala 2013-05-20 05:58:29 EDT
This flaw seems to be introduced by the following commit:

http://git.php.net/?p=php-src.git;a=commitdiff;h=18bb426587d62f93c54c40bf8535eb8416603629

which fixes the bug described in https://bugs.php.net/bug.php?id=62462

This code is not present in the version of php or php53, shipped with Red Hat Enterprise Linux 5 and 6.
Comment 3 Huzaifa S. Sidhpurwala 2013-05-20 05:59:45 EDT
Statement:

Not Vulnerable. This issue does not affect the version of php as shipped with Red Hat Enterprise Linux 5 and 6. This issue does not affect the version of php53 as shipped with Red Hat Enterprise Linux 5.
Comment 6 Huzaifa S. Sidhpurwala 2013-06-06 23:36:47 EDT
This issue was addressed in Fedora via the following updates:

Fedora-17: https://admin.fedoraproject.org/updates/php-5.4.16-1.fc17
Fedora-18: https://admin.fedoraproject.org/updates/php-5.4.16-1.fc18
Fedora-19 (upcoming):   
https://admin.fedoraproject.org/updates/php-5.5.0-0.8.RC3.fc19
Comment 7 Huzaifa S. Sidhpurwala 2013-06-06 23:41:32 EDT
Upstream bug: https://bugs.php.net/bug.php?id=64879 (private)

Commit: 
https://github.com/php/php-src/commit/93e0d78ec655f59ebfa82b2c6f8486c43651c1d0

Note You need to log in before you can comment on or make changes to this bug.